"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/c-skip-nav.tsx
var c_skip_nav_exports = {};
__export(c_skip_nav_exports, {
  CSkipNavContent: () => CSkipNavContent,
  CSkipNavLink: () => CSkipNavLink
});
module.exports = __toCommonJS(c_skip_nav_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_vue_system = require("@chakra-ui/vue-system");
var import_vue_utils = require("@chakra-ui/vue-utils");
var FALLBACK_ID = "chakra-skip-nav";
var CSkipNavLink = (0, import_vue2.defineComponent)({
  name: "CSkipNavLink",
  props: {
    id: {
      type: String,
      default: FALLBACK_ID
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue_system.useStyleConfig)("SkipLink", (0, import_vue2.computed)(() => props));
    const skipLinkStyles = (0, import_vue2.computed)(() => {
      return {
        userSelect: "none",
        border: "0",
        borderRadius: "md",
        fontWeight: "semibold",
        height: "1px",
        width: "1px",
        margin: "-1px",
        padding: "0",
        outline: "0",
        overflow: "hidden",
        position: "absolute",
        clip: "rect(0 0 0 0)",
        ...styles.value,
        _focus: {
          clip: "auto",
          width: "auto",
          height: "auto",
          boxShadow: "outline",
          padding: "1rem",
          position: "fixed",
          top: "1.5rem",
          insetStart: "1.5rem"
        }
      };
    });
    return () => {
      return (0, import_vue.createVNode)(import_vue_system.chakra.a, (0, import_vue.mergeProps)({
        "href": `#${props.id}`,
        "__css": skipLinkStyles.value
      }, attrs), {
        default: () => (0, import_vue_utils.getValidChildren)(slots)
      });
    };
  }
});
var CSkipNavContent = (0, import_vue2.defineComponent)({
  name: "CSkipNavContent",
  props: {
    id: {
      type: String,
      default: FALLBACK_ID
    }
  },
  setup(props, {
    attrs,
    slots
  }) {
    return () => {
      return (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
        "tabindex": "-1",
        "id": props.id,
        "data-testid": FALLBACK_ID
      }, attrs), {
        default: () => (0, import_vue_utils.getValidChildren)(slots)
      });
    };
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CSkipNavContent,
  CSkipNavLink
});
